package J20250724.demo03_file;

import java.io.File;
import java.io.IOException;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description
 * @create 2025/7/24
 */
public class Demo01 {
    public static void main(String[] args) throws IOException {
        //第一中方式创建File对象
        //File file=new File("D:/今天天挺好.txt");

        //判断当前文件的路径是否存在，如果不存在，就创建一个新文件
        //boolean flag = file.createNewFile();
        //System.out.println(flag);

        //创建文件夹 mkdir
        //File f2=new File("D:/我的文件夹");
        //boolean mkdir = f2.mkdir();
        //System.out.println(mkdir);
        //创建有当前路径命名的文件夹，包括任何必须但不存在的父文件夹
        File f3=new File("D:/我的文件夹");
        //boolean mkdir1 = f3.mkdirs();
        //System.out.println(mkdir1);
        //删除指定的文件或文件夹(目录)，前提是文件夹内为空
        boolean delete = f3.delete();
        System.out.println(delete);

        System.out.println("是文件夹嘛？"+f3.isDirectory());
        System.out.println("是文件嘛？"+f3.isFile());
        System.out.println("路径真实存在嘛？"+f3.exists());



    }

}
